.weblet_blog-entry-text > [data-type]:not([data-type=""]),
.weblet_blog-entry-text > p.block-p {
    margin: 32px 0;
}

[data-type="columns"] {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 24px;
}

[data-type="columns"][data-flip="true"] > *:first-child {
    order: 2;
}

[data-type="columns"][data-ratio="ratio30_70"] {
    grid-template-columns: 3fr 7fr;
}

[data-type="columns"][data-ratio="ratio70_30"] {
    grid-template-columns: 7fr 3fr;
}

@media (max-width: 640px) {
    [data-type="columns"],
    [data-type="columns"][data-ratio="ratio70_30"],
    [data-type="columns"][data-ratio="ratio30_70"] {
        grid-template-columns: 1fr;
        grid-gap: 0px;
    }
}

[data-type="block-image"] {
    width: 100%;
    height: inherit;
}

[data-type="block-image"][data-block="true"] img {
    width: 100%;
}

[data-content="image-column"] {
    display: flex;
    height: 100%;
    width: 100%;
    align-content: center;
    align-items: start;
}

[data-type="columns"] [data-content="image-column"] [data-type="block-image"][data-block="true"] img {
    height: 100%;
    object-fit: cover;
}

[data-img-v-align="center"] [data-content="image-column"] {
    align-items: center;
}

[data-img-v-align="bottom"] [data-content="image-column"] {
    align-items: end;
}

[data-type="gallery"] {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-gap: 16px;
}

@media (max-width: 640px) {
    [data-type="gallery"] {
        grid-template-columns: 1fr 1fr;
        grid-gap: 8px;
    }
}

[data-type="gallery"] > img {
    aspect-ratio: 1;
    object-fit: cover;
    cursor: pointer;
}

html.editing [data-type="gallery"] > img {
    cursor: default;
}

[data-type="download-link"] {
    display: flex;
    flex-direction: column;
    padding: 48px 0;
    align-content: center;
    align-items: center;
}

[data-type="button"] a {
    display: inline-flex;
    padding: 16px 24px;
    background-color: #ddd;
    border-radius: 4px;
    letter-spacing: 1px;
    text-transform: uppercase;
    font-weight: bold;
    text-decoration: none;
    color: #333;
}

[data-type="download-link"] > a {
    display: inline-flex;
    align-items: center;
    align-content: center;
    padding: 24px 32px;
    background-color: #ddd;
    letter-spacing: 1px;
    font-weight: bold;
    color: #333;
    text-decoration: none;
}

[data-type="embed"] table {
    border-collapse: collapse;
    border: unset;
    max-width: 100%;
}

[data-type="embed"] table th,
[data-type="embed"] table td {
    border: unset;
    padding: unset;
    line-height: normal;
}

[data-type="embed"][data-aspect-ratio="16x9"] > iframe {
    width: 100%;
    height: auto;
    aspect-ratio: 16 / 9;
}

[data-type="embed"][data-aspect-ratio="4x3"] > iframe {
    width: 100%;
    height: auto;
    aspect-ratio: 4 / 3;
}

.weblet_blog-navigation-sa-divider {
    display: none;
}

.blog-post-full .blog-with-parallax .weblet_blog-entry-image-container img {
    visibility: hidden;
}

.weblet_blog-entry-image-container-parallax {
    position: absolute;
    left: 0;
    top: -10%;
    width: 100%;
    height: 120%;
    background-image: var(--img1200);
    background-position: center center;
    background-attachment: scroll;
    background-repeat: no-repeat;
    background-size: cover;
}

@media (max-width: 640px) {
    .weblet_blog-entry-image-container-parallax {
        background-image: var(--img800);
    }
}

/* BUTTON */

.weblet_blog-entry-text [data-type="download-link"].align-left {
    align-items: flex-start;
}

.weblet_blog-entry-text [data-type="download-link"].align-right {
    align-items: flex-end;
}

/* HR */

html .weblet_blog-entry-text hr {
    height: 1px;
    border: none;
    background: var(--blog-hr-color, var(--text-color, black));
}

html .weblet_blog-entry-text hr.margin-hide {
    background: transparent;
}

html .weblet_blog-entry-text hr {
    margin-top: calc(1.2em + var(--spacing-1, 0.25em) * var(--margin-top, 0));
    margin-bottom: calc(1.2em + var(--spacing-1, 0.25em) * var(--margin-bottom, 0));
}

/* GALLERY BLOCK */

html [data-type="gallery"] {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-gap: 1rem;
}

html [data-type="gallery"] > img {
    aspect-ratio: 1/1;
    object-fit: cover;
    height: 100%;
    width: 100%;
}

/* TEXT CARD BLOCK */

@media (max-width: 640px) {
    html [data-type="columns"],
    html [data-type="columns"][data-ratio="ratio70_30"],
    html [data-type="columns"][data-ratio="ratio30_70"] {
        grid-template-columns: 1fr;
        grid-gap: 1rem;
    }
}